"use strict";
var MessageBox = function(txt, topOffset) {
	this.type = game.getObjectTypes().MSG;
	this.topOffset = topOffset || 0;
	
	this.step = function(dt) {
	};

	this.draw = function(ctx) {
		ctx.fillStyle = "#FFDD4A";
		ctx.textAlign = "center";

		ctx.font = "bold 40px bangers";
		ctx.fillText(txt, view.getWidth() / 2, (view.getHeight() / 2) - this.topOffset);
	};
};